pub mod songmeta;
use crate::songmeta::songmeta::*;

pub mod playlist;
use crate::playlist::playlist::*;

fn main() {
    let mysong = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/A_classer/Bleach/12 Big Cheese.mp3")).unwrap();
    let mysong2 = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/Folk/Galaverna - Dodsdans/Galaverna - Dodsdans - 01 Dods....flac")).unwrap();
    let mysong3 = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/Jeux/Superliminal/Matt Christensen - Superliminal/12. Astral.mp3")).unwrap();

    //let playlist = Playlist::from_file(&String::from("./cool.yml"));

    let mut playlist = Playlist {
        songs: vec![mysong, mysong2, mysong3],
    };

    println!("RAND {:#?}", playlist);
    playlist.sort();
    println!("SORT {:#?}", playlist);
    playlist.shuffle();
    println!("RAND {:#?}", playlist);
    playlist.sort();
    println!("SORT{:#?}", playlist);
}


